org.apache.ignite.internal.visor.node

## Class VisorIgfsConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorIgfsConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorIgfsConfiguration
    extends Object
    implements Serializable

Data transfer object for IGFS configuration properties.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `SECONDARY_FS_CONFIG_PATH` Property name for path to Hadoop configuration.
`static String` `SECONDARY_FS_URI` Property name for URI of file system.

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsConfiguration()`

### Method Summary

Methods
`int` `blockSize()`
`void` `blockSize(int blockSize)`
`String` `dataCacheName()`
`void` `dataCacheName(String dataCacheName)`
`IgfsMode` `defaultMode()`
`void` `defaultMode(IgfsMode dfltMode)`
`long` `dualModeMaxPendingPutsSize()`
`void` `dualModeMaxPendingPutsSize(long dualModeMaxPendingPutsSize)`
`String` `dualModePutExecutorService()`
`void` `dualModePutExecutorService(String dualModePutExecutorSrvc)`
`boolean` `dualModePutExecutorServiceShutdown()`
`void` `dualModePutExecutorServiceShutdown(boolean dualModePutExecutorSrvcShutdown)`
`int` `fragmentizerConcurrentFiles()`
`void` `fragmentizerConcurrentFiles(int fragmentizerConcurrentFiles)`
`boolean` `fragmentizerEnabled()`
`void` `fragmentizerEnabled(boolean fragmentizerEnabled)`
`float` `fragmentizerLocalWritesRatio()`
`void` `fragmentizerLocalWritesRatio(float fragmentizerLocWritesRatio)`
`long` `fragmentizerThrottlingBlockLength()`
`void` `fragmentizerThrottlingBlockLength(long fragmentizerThrottlingBlockLen)`
`long` `fragmentizerThrottlingDelay()`
`void` `fragmentizerThrottlingDelay(long fragmentizerThrottlingDelay)`
`static VisorIgfsConfiguration` `from(IgfsConfiguration igfs)`
`String` `ipcEndpointConfiguration()`
`void` `ipcEndpointConfiguration(String ipcEndpointCfg)`
`boolean` `ipcEndpointEnabled()`
`void` `ipcEndpointEnabled(boolean ipcEndpointEnabled)`
`static Iterable<VisorIgfsConfiguration>` `list(IgfsConfiguration[] igfss)` Construct data transfer object for igfs configurations properties.
`int` `managementPort()`
`void` `managementPort(int mgmtPort)`
`long` `maxSpace()`
`void` `maxSpace(long maxSpace)`
`long` `maxTaskRangeLength()`
`void` `maxTaskRangeLength(long maxTaskRangeLen)`
`String` `metaCacheName()`
`void` `metaCacheName(String metaCacheName)`
`String` `name()`
`void` `name(String name)`
`Map<String,IgfsMode>` `pathModes()`
`void` `pathModes(Map<String,IgfsMode> pathModes)`
`int` `perNodeBatchSize()`
`void` `perNodeBatchSize(int perNodeBatchSize)`
`int` `perNodeParallelBatchCount()`
`void` `perNodeParallelBatchCount(int perNodeParallelBatchCnt)`
`int` `prefetchBlocks()`
`void` `prefetchBlocks(int prefetchBlocks)`
`String` `secondaryHadoopFileSystemConfigPath()`
`void` `secondaryHadoopFileSystemConfigPath(String secondaryHadoopFileSysCfgPath)`
`String` `secondaryHadoopFileSystemUri()`
`void` `secondaryHadoopFileSystemUri(String secondaryHadoopFileSysUri)`
`int` `sequenceReadsBeforePrefetch()`
`void` `sequenceReadsBeforePrefetch(int seqReadsBeforePrefetch)`
`int` `streamBufferSize()`
`void` `streamBufferSize(int streamBufSize)`
`String` `toString()`
`long` `trashPurgeTimeout()`
`void` `trashPurgeTimeout(long trashPurgeTimeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SECONDARY_FS_CONFIG_PATH

    public static final String SECONDARY_FS_CONFIG_PATH

Property name for path to Hadoop configuration.

See Also:
  Constant Field Values

#### SECONDARY_FS_URI

    public static final String SECONDARY_FS_URI

Property name for URI of file system.

See Also:
  Constant Field Values

### Constructor Detail

#### VisorIgfsConfiguration

    public VisorIgfsConfiguration()

### Method Detail

#### from

    public static VisorIgfsConfiguration from(IgfsConfiguration igfs)

Parameters:
  `igfs` - IGFS configuration.
Returns:
  Data transfer object for IGFS configuration properties.

#### list

    public static Iterable<VisorIgfsConfiguration> list(IgfsConfiguration[] igfss)

Construct data transfer object for igfs configurations properties.

Parameters:
  `igfss` - Igfs configurations.
Returns:
  igfs configurations properties.

#### name

    @Nullable
    public String name()

Returns:
  IGFS instance name.

#### name

    public void name(@Nullable
            String name)

Parameters:
  `name` - New IGFS instance name.

#### metaCacheName

    @Nullable
    public String metaCacheName()

Returns:
  Cache name to store IGFS meta information.

#### metaCacheName

    public void metaCacheName(@Nullable
                     String metaCacheName)

Parameters:
  `metaCacheName` - New cache name to store IGFS meta information.

#### dataCacheName

    @Nullable
    public String dataCacheName()

Returns:
  Cache name to store IGFS data.

#### dataCacheName

    public void dataCacheName(@Nullable
                     String dataCacheName)

Parameters:
  `dataCacheName` - New cache name to store IGFS data.

#### blockSize

    public int blockSize()

Returns:
  File's data block size.

#### blockSize

    public void blockSize(int blockSize)

Parameters:
  `blockSize` - New file's data block size.

#### prefetchBlocks

    public int prefetchBlocks()

Returns:
  Number of pre-fetched blocks if specific file's chunk is requested.

#### prefetchBlocks

    public void prefetchBlocks(int prefetchBlocks)

Parameters:
  `prefetchBlocks` - New number of pre-fetched blocks if specific file's chunk is requested.

#### streamBufferSize

    public int streamBufferSize()

Returns:
  Read/write buffer size for IGFS stream operations in bytes.

#### streamBufferSize

    public void streamBufferSize(int streamBufSize)

Parameters:
  `streamBufSize` - New read/write buffer size for IGFS stream operations in bytes.

#### perNodeBatchSize

    public int perNodeBatchSize()

Returns:
  Number of file blocks buffered on local node before sending batch to remote node.

#### perNodeBatchSize

    public void perNodeBatchSize(int perNodeBatchSize)

Parameters:
  `perNodeBatchSize` - New number of file blocks buffered on local node before sending batch to remote node.

#### perNodeParallelBatchCount

    public int perNodeParallelBatchCount()

Returns:
  Number of batches that can be concurrently sent to remote node.

#### perNodeParallelBatchCount

    public void perNodeParallelBatchCount(int perNodeParallelBatchCnt)

Parameters:
  `perNodeParallelBatchCnt` - New number of batches that can be concurrently sent to remote node.

#### secondaryHadoopFileSystemUri

    @Nullable
    public String secondaryHadoopFileSystemUri()

Returns:
  URI of the secondary Hadoop file system.

#### secondaryHadoopFileSystemUri

    public void secondaryHadoopFileSystemUri(@Nullable
                                    String secondaryHadoopFileSysUri)

Parameters:
  `secondaryHadoopFileSysUri` - New URI of the secondary Hadoop file system.

#### secondaryHadoopFileSystemConfigPath

    @Nullable
    public String secondaryHadoopFileSystemConfigPath()

Returns:
  Path for the secondary hadoop file system config.

#### secondaryHadoopFileSystemConfigPath

    public void secondaryHadoopFileSystemConfigPath(@Nullable
                                           String secondaryHadoopFileSysCfgPath)

Parameters:
  `secondaryHadoopFileSysCfgPath` - New path for the secondary hadoop file system config.

#### defaultMode

    public IgfsMode defaultMode()

Returns:
  IGFS instance mode.

#### defaultMode

    public void defaultMode(IgfsMode dfltMode)

Parameters:
  `dfltMode` - New IGFS instance mode.

#### pathModes

    @Nullable
    public Map<String,IgfsMode> pathModes()

Returns:
  Map of paths to IGFS modes.

#### pathModes

    public void pathModes(@Nullable
                 Map<String,IgfsMode> pathModes)

Parameters:
  `pathModes` - New map of paths to IGFS modes.

#### dualModePutExecutorService

    public String dualModePutExecutorService()

Returns:
  Dual mode PUT operations executor service.

#### dualModePutExecutorService

    public void dualModePutExecutorService(String dualModePutExecutorSrvc)

Parameters:
  `dualModePutExecutorSrvc` - New dual mode PUT operations executor service.

#### dualModePutExecutorServiceShutdown

    public boolean dualModePutExecutorServiceShutdown()

Returns:
  Dual mode PUT operations executor service shutdown flag.

#### dualModePutExecutorServiceShutdown

    public void dualModePutExecutorServiceShutdown(boolean dualModePutExecutorSrvcShutdown)

Parameters:
  `dualModePutExecutorSrvcShutdown` - New dual mode PUT operations executor service shutdown flag.

#### dualModeMaxPendingPutsSize

    public long dualModeMaxPendingPutsSize()

Returns:
  Maximum amount of data in pending puts.

#### dualModeMaxPendingPutsSize

    public void dualModeMaxPendingPutsSize(long dualModeMaxPendingPutsSize)

Parameters:
  `dualModeMaxPendingPutsSize` - New maximum amount of data in pending puts.

#### maxTaskRangeLength

    public long maxTaskRangeLength()

Returns:
  Maximum range length.

#### maxTaskRangeLength

    public void maxTaskRangeLength(long maxTaskRangeLen)

Parameters:
  `maxTaskRangeLen` - New maximum range length.

#### fragmentizerConcurrentFiles

    public int fragmentizerConcurrentFiles()

Returns:
  Fragmentizer concurrent files.

#### fragmentizerConcurrentFiles

    public void fragmentizerConcurrentFiles(int fragmentizerConcurrentFiles)

Parameters:
  `fragmentizerConcurrentFiles` - New fragmentizer concurrent files.

#### fragmentizerLocalWritesRatio

    public float fragmentizerLocalWritesRatio()

Returns:
  Fragmentizer local writes ratio.

#### fragmentizerLocalWritesRatio

    public void fragmentizerLocalWritesRatio(float fragmentizerLocWritesRatio)

Parameters:
  `fragmentizerLocWritesRatio` - New fragmentizer local writes ratio.

#### fragmentizerEnabled

    public boolean fragmentizerEnabled()

Returns:
  Fragmentizer enabled flag.

#### fragmentizerEnabled

    public void fragmentizerEnabled(boolean fragmentizerEnabled)

Parameters:
  `fragmentizerEnabled` - New fragmentizer enabled flag.

#### fragmentizerThrottlingBlockLength

    public long fragmentizerThrottlingBlockLength()

Returns:
  Fragmentizer throttling block length.

#### fragmentizerThrottlingBlockLength

    public void fragmentizerThrottlingBlockLength(long fragmentizerThrottlingBlockLen)

Parameters:
  `fragmentizerThrottlingBlockLen` - New fragmentizer throttling block length.

#### fragmentizerThrottlingDelay

    public long fragmentizerThrottlingDelay()

Returns:
  Fragmentizer throttling delay.

#### fragmentizerThrottlingDelay

    public void fragmentizerThrottlingDelay(long fragmentizerThrottlingDelay)

Parameters:
  `fragmentizerThrottlingDelay` - New fragmentizer throttling delay.

#### ipcEndpointConfiguration

    @Nullable
    public String ipcEndpointConfiguration()

Returns:
  IPC endpoint config (in JSON format) to publish IGFS over.

#### ipcEndpointConfiguration

    public void ipcEndpointConfiguration(@Nullable
                                String ipcEndpointCfg)

Parameters:
  `ipcEndpointCfg` - New IPC endpoint config (in JSON format) to publish IGFS over.

#### ipcEndpointEnabled

    public boolean ipcEndpointEnabled()

Returns:
  IPC endpoint enabled flag.

#### ipcEndpointEnabled

    public void ipcEndpointEnabled(boolean ipcEndpointEnabled)

Parameters:
  `ipcEndpointEnabled` - New iPC endpoint enabled flag.

#### maxSpace

    public long maxSpace()

Returns:
  Maximum space.

#### maxSpace

    public void maxSpace(long maxSpace)

Parameters:
  `maxSpace` - New maximum space.

#### managementPort

    public int managementPort()

Returns:
  Management port.

#### managementPort

    public void managementPort(int mgmtPort)

Parameters:
  `mgmtPort` - New management port.

#### sequenceReadsBeforePrefetch

    public int sequenceReadsBeforePrefetch()

Returns:
  Amount of sequential block reads before prefetch is triggered.

#### sequenceReadsBeforePrefetch

    public void sequenceReadsBeforePrefetch(int seqReadsBeforePrefetch)

Parameters:
  `seqReadsBeforePrefetch` - New amount of sequential block reads before prefetch is triggered.

#### trashPurgeTimeout

    public long trashPurgeTimeout()

Returns:
  Trash purge await timeout.

#### trashPurgeTimeout

    public void trashPurgeTimeout(long trashPurgeTimeout)

Parameters:
  `trashPurgeTimeout` - New trash purge await timeout.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015